package com.goafanti.common.dao;

import com.goafanti.common.model.PublicExamine;
import com.goafanti.customer.bo.PublicReleaseTransferUserBo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PublicExamineMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PublicExamine record);

    int insertSelective(PublicExamine record);

    PublicExamine selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PublicExamine record);

    int updateByPrimaryKey(PublicExamine record);

    List<PublicExamine> selectByPrid(Integer id);

    void updateStatusByPrid(PublicExamine pe);


    List<PublicExamine> selectByIds(@Param("ids") List<Integer> ids);

    void deletePrid(Integer id);

    /**
     *
     * @param oldAid 原aid
     * @param aid
     */
    void updateAidByAid(@Param("oldAid")String oldAid, @Param("aid")String aid);

    List<PublicReleaseTransferUserBo> selectByuList(@Param("list") List<String> list);

    void updateByPridSelective(PublicExamine pe);
}
